# RPM specfile for gnomeicu module
# Generated Tue Feb 26 18:40:30 2002 GMT by Ximian build system
# $Id: bb_do,v 1.170 2002/02/26 16:16:43 thunder Exp $
# from $Id: ximian-build.conf,v 1.13 2001/10/24 00:51:53 dobey Exp $

%define nam	gnomeicu
%define ver	0.98.2
%define ximrev	1

Name:     	gnomeicu
Version: 	0.98.2
Release:	1.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.1 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc
URL:		http://www.gnome.org/
Epoch:		1
Source0:	gnomeicu-0.98.2.tar.gz
Summary:	GnomeICU is an ICQ-enabled instant messenger for GNOME
Group:		Applications/Communications
Provides:	ximian-gnomeicu = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
With GnomeICU you can send messages to other people in the ICQ
network.

%files
%defattr(-, root, root)
%doc INSTALL NEWS README TODO
/usr/*/locale/*/LC_MESSAGES/*
/usr/share/sounds/gnomeicu
/usr/share/gnome/apps/Internet/*
/usr/share/gnome/help/gnomeicu
/usr/share/pixmaps/*
/usr/share/applets/Network/*
/usr/share/gnomeicu/
/usr/bin/*
%config /etc/CORBA/servers/GnomeICU.gnorba
%config /etc/sound/events/GnomeICU.soundlist


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnomeicu-0.98.2
    ;;
all)
%setup  -q -n gnomeicu-0.98.2
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Feb 26 2002 Ximian, Inc.

- Version: 1:0.98.2-1.ximian.1
- Summary: New build.
- New automated build.

* Tue Feb 26 2002 Ximian, Inc.

- Version: 1:0.98-1.ximian.1
- Summary: New build.
- New automated build.

* Tue Feb 26 2002 Ximian, Inc.

- Version: 1:0.98.1-1.ximian.1
- Summary: New build.
- New automated build.

* Thu Nov  8 2001 thunder

- Version: 0.96.1-ximian.4
- Imported into packaging system.

